<div *ngIf="shouldShow('info')"
     [@state]="state" (@state.done)="animationDone()"
     class="alert alert-info info-box msgbox" id="info-box">
  <h4 [hidden]="!title">{{title | translate}}</h4>
  {{msg.toString() | translate}}
</div>

<div *ngIf="shouldShow('success')"
     [@state]="state" (@state.done)="animationDone()"
     class="alert alert-success info-box msgbox" id="success-box">
  <h4 [hidden]="!title">{{title | translate}}</h4>
  {{msg.toString() | translate}}
</div>

<div *ngIf="shouldShow('error')"
     [@state]="state" (@state.done)="animationDone()"
     class="alert alert-danger info-box msgbox" id="error-box">
  <h4 [hidden]="!title">{{title | translate}}</h4>
  <span [hidden]="hideErrorDetails">{{msg.toString() | translate}}</span>
  <span [hidden]="!hideErrorDetails">{{'error_default_internal' | translate}}</span>
</div>
